Community Discussions and Support
VERSION 4.81 - CANNOT OPEN SOME PREVIOUS EMAILS AND PEGASUS USER NAME

I have just updated to the latest version 4.81 on my Windows 10 desk-top computer and now, when I try to open some of my previous emails, the program closes. Has anyone else experienced this, please, and is there a fix for it?


Fortunately, before updating, I made a copy of my complete PMAIL folder and decided to go back to that (version 4.73) while I sort out the problem with version 4.81. But, when I try to open the 4.73 program, it now asks for my Pegaus Mail username. I don't ever remember creating one, but as I have been using Pegasus since 2002, I may have created one a long time ago that I have since forgotten. Can anbody tell me how to find it, please and/or how to create a new one? In the meantime, I do not have access to my emails.


Thank for any help.


I have just updated to the latest version 4.81 on my Windows 10 desk-top computer and now, when I try to open some of my previous emails, the program closes. Has anyone else experienced this, please, and is there a fix for it? Fortunately, before updating, I made a copy of my complete PMAIL folder and decided to go back to that (version 4.73) while I sort out the problem with version 4.81. But, when I try to open the 4.73 program, it now asks for my Pegaus Mail username. I don't ever remember creating one, but as I have been using Pegasus since 2002, I may have created one a long time ago that I have since forgotten. Can anbody tell me how to find it, please and/or how to create a new one? In the meantime, I do not have access to my emails. Thank for any help.

Did you update IErenderer after installing v4.80? If not, doing so will likely solve the crash problem. Also, v4.80 has a bug in the spellchecker. It will delete all user saved words each time it is used. The workaround is to mark the file USRDICT5.PMD as read-only until the bug is fixed. That file is located in your mailbox directory. If you have already used the spellchecker you can recover USRDICT5.PMD from a backup and mark it read-only.


Regarding getting your old v4.73 working. If you are running it from the copied location its path has changed which is causing the problem. Try adding the -roam option to the command line. Otherwise, rename the \PMAIL directory of v4.80 and then put v4.73 in its place.


Did you update IErenderer after installing v4.80? If not, doing so will likely solve the crash problem. Also, v4.80 has a bug in the spellchecker. It will delete all user saved words each time it is used. The workaround is to mark the file USRDICT5.PMD as read-only until the bug is fixed. That file is located in your mailbox directory. If you have already used the spellchecker you can recover USRDICT5.PMD from a backup and mark it read-only. Regarding getting your old v4.73 working. If you are running it from the copied location its path has changed which is causing the problem. Try adding the -roam option to the command line. Otherwise, rename the \PMAIL directory of v4.80 and then put v4.73 in its place.
edited Apr 28 at 11:27 am

No I didn't Brian. How do I do that, please? I don't recall seeing an option to do that and rather assumed it also updated as part of the new installation.


No I didn't Brian. How do I do that, please? I don't recall seeing an option to do that and rather assumed it also updated as part of the new installation.

Brian, I have just checked the apps on my computer and I have Pegasus Mail HTML Renderer 2.6.5.9 installed with today's date. I assume it was installed when I installed version 4.8 of Pegasus.


Brian, I have just checked the apps on my computer and I have Pegasus Mail HTML Renderer 2.6.5.9 installed with today's date. I assume it was installed when I installed version 4.8 of Pegasus.

Brian, I have just checked the apps on my computer and I have Pegasus Mail HTML Renderer 2.6.5.9 installed with today's date. I assume it was installed when I installed version 4.8 of Pegasus.

There's a newer one available, you can do the update check via Pegasus Mail's toolbar button for IER (usually the rightmost one) - which, BTW, also shows its current version in its tooltip ...


[quote="pid:53770, uid:11088"]Brian, I have just checked the apps on my computer and I have Pegasus Mail HTML Renderer 2.6.5.9 installed with today's date. I assume it was installed when I installed version 4.8 of Pegasus.[/quote] There's a newer one available, you can do the update check via Pegasus Mail's toolbar button for IER (usually the rightmost one) - which, BTW, also shows its current version in its tooltip ...

			Michael

--
PGP Key ID (RSA 2048): 0xC45D831B
IERenderer's Home: https://www.pmpgp.de/renderer/History.htm
S/MIME Fingerprint: 94C6B471 0C623088 A5B27701 742B8666 3B7E657C

Flosex, To manually update IERenderer go to to the URL provided below. It will download the latest version is a .zip file. Extract it, and then run IERendererSetup.exe. You don't need to uninstall the old version. It will be replaced.
https://www.pmpgp.de/renderer/IERenderer.zip


BTW, IERenderer is being improved regularly. It now has a built-in update checker which I recommend having enabled. You will see it in the menu of the IERenderer toolbar button mentioned by Michael.


Flosex, To manually update IERenderer go to to the URL provided below. It will download the latest version is a .zip file. Extract it, and then run IERendererSetup.exe. You don't need to uninstall the old version. It will be replaced. https://www.pmpgp.de/renderer/IERenderer.zip BTW, IERenderer is being improved regularly. It now has a built-in update checker which I recommend having enabled. You will see it in the menu of the IERenderer toolbar button mentioned by Michael.

Thanks to Michael and Brian for their helpful replies. I downloaded and installed the latest version of IERenderer this morning, but it has not made any difference to reading emails I previously had while using version 4.73. When I try to open them, the propgram closes. The strange thing is that when I installed version 4.8 on an older Windows 8.1 computer, and transferred my ADMIN files to it, everything worked fine. I even tried uninstalling version 4.8 from my main computer and installing the 4.8 files from the Windows 8.1 computer, but the older emails still closed the program when I opened them. It therefore appears to be a Windows 10 problem.


I have spent too much time trying to get version 4.8 to work properly and have now gone back to version 4.73, that is now working fine and without asking me for a user name when I open it.


Thanks again to Michael and Brian for their help.


Thanks to Michael and Brian for their helpful replies. I downloaded and installed the latest version of IERenderer this morning, but it has not made any difference to reading emails I previously had while using version 4.73. When I try to open them, the propgram closes. The strange thing is that when I installed version 4.8 on an older Windows 8.1 computer, and transferred my ADMIN files to it, everything worked fine. I even tried uninstalling version 4.8 from my main computer and installing the 4.8 files from the Windows 8.1 computer, but the older emails still closed the program when I opened them. It therefore appears to be a Windows 10 problem. I have spent too much time trying to get version 4.8 to work properly and have now gone back to version 4.73, that is now working fine and without asking me for a user name when I open it. Thanks again to Michael and Brian for their help.

Maybe you would rather just want to wait a couple of weeks until further updates of both Pegasus Mail and IER are available (I hope to get out another IER update within a couple of days now).


Maybe you would rather just want to wait a couple of weeks until further updates of both Pegasus Mail and IER are available (I hope to get out another IER update within a couple of days now).

			Michael

--
PGP Key ID (RSA 2048): 0xC45D831B
IERenderer's Home: https://www.pmpgp.de/renderer/History.htm
S/MIME Fingerprint: 94C6B471 0C623088 A5B27701 742B8666 3B7E657C
edited Apr 29 at 6:17 pm

Thanks again Michael and yes, I will keep an eye on more updates for Pegasis and IERenderer, and try again then. Is there a way we can be notified when there is an update for either or both, to save us keep checking?


Thanks again Michael and yes, I will keep an eye on more updates for Pegasis and IERenderer, and try again then. Is there a way we can be notified when there is an update for either or both, to save us keep checking?

Is there a way we can be notified when there is an update for either or both, to save us keep checking?

IER has such a mechanism in its recent versions, just watch it's toolbar button if having the latest version already installed. Pegasus Mail itself is still anounced the same way as always through website news and spread by community word.


[quote="pid:53785, uid:11088"]Is there a way we can be notified when there is an update for either or both, to save us keep checking?[/quote] IER has such a mechanism in its recent versions, just watch it's toolbar button if having the latest version already installed. Pegasus Mail itself is still anounced the same way as always through website news and spread by community word.

			Michael

--
PGP Key ID (RSA 2048): 0xC45D831B
IERenderer's Home: https://www.pmpgp.de/renderer/History.htm
S/MIME Fingerprint: 94C6B471 0C623088 A5B27701 742B8666 3B7E657C
edited Apr 30 at 2:00 pm

SUCCESS STORY


Thanks again, Michael. I now have version 4.8 of Pegasus running with the latest version of IERenderer (2.6.5.11), and all now appears to be working fine in that I can open old emails I have retained.


I do, however, have a question about updating IERenderer: IERenderer has to be installed in the Programs folder in the PMAIL folder. I have my PMAIL folder installed in Documents, which enables it, and all the PMI and PMM files, to be automatically updated to One Drive. All of my Documents are automatically uploaded to One Drive. When I came to install the IERenderer update, it would not let me install it in Documents, only on C: drive. I got round this by temporary moving my PMAIL folder to C: drive, installing IERenderer, and then moving the PMail folder back to Documents. I have set IERenderer to automatically update and am wondering if it will do this with my PMAIL folder in Documents? Is it possible to include Documents as an option of where to install IERendere updates, please?


Thanks, Chris


SUCCESS STORY Thanks again, Michael. I now have version 4.8 of Pegasus running with the latest version of IERenderer (2.6.5.11), and all now appears to be working fine in that I can open old emails I have retained. I do, however, have a question about updating IERenderer: IERenderer has to be installed in the Programs folder in the PMAIL folder. I have my PMAIL folder installed in Documents, which enables it, and all the PMI and PMM files, to be automatically updated to One Drive. All of my Documents are automatically uploaded to One Drive. When I came to install the IERenderer update, it would not let me install it in Documents, only on C: drive. I got round this by temporary moving my PMAIL folder to C: drive, installing IERenderer, and then moving the PMail folder back to Documents. I have set IERenderer to automatically update and am wondering if it will do this with my PMAIL folder in Documents? Is it possible to include Documents as an option of where to install IERendere updates, please? Thanks, Chris

I have set IERenderer to automatically update and am wondering if it will do this with my PMAIL folder in Documents? Is it possible to include Documents as an option of where to install IERendere updates, please?


Controlled folder access is built into Windows 10 and I suspect that is what is preventing IERenderer from installing into Documents. It can be disabled (not recommended) or you can allow specific programs. There is good info about it here: https://www.winhelponline.com/blog/error-file-not-found-save-files-desktop-windows-10-controlled-folder-access


[quote="pid:53796, uid:11088"]I have set IERenderer to automatically update and am wondering if it will do this with my PMAIL folder in Documents? Is it possible to include Documents as an option of where to install IERendere updates, please?[/quote] Controlled folder access is built into Windows 10 and I suspect that is what is preventing IERenderer from installing into Documents. It can be disabled (not recommended) or you can allow specific programs. There is good info about it here: https://www.winhelponline.com/blog/error-file-not-found-save-files-desktop-windows-10-controlled-folder-access

I have set IERenderer to automatically update and am wondering if it will do this with my PMAIL folder in Documents? Is it possible to include Documents as an option of where to install IERendere updates, please?

I have absolutely no idea: IER depends on Pegasus Mail regarding the installation path, i.e. it either gets the path provided by Pegasus Mail during Pegasus Mail's own installation or picks it up from the Registry entries Pegasus Mail creates each time it's launched. Installing it to Pegasus Mail's \programs\ subdirectory should be used for supporting the roaming mode, this is the reason for not making it customizable by users (unless they already know how to break Windows rules to begin with). IOW: Whether you will succeed you may only figure out by trial and error, and if it doesn't work I don't now about the reasons, Brian may be right.


[quote="pid:53796, uid:11088"]I have set IERenderer to automatically update and am wondering if it will do this with my PMAIL folder in Documents? Is it possible to include Documents as an option of where to install IERendere updates, please?[/quote] I have absolutely no idea: IER depends on Pegasus Mail regarding the installation path, i.e. it either gets the path provided by Pegasus Mail during Pegasus Mail's own installation or picks it up from the Registry entries Pegasus Mail creates each time it's launched. Installing it to Pegasus Mail's \programs\ subdirectory should be used for supporting the roaming mode, this is the reason for not making it customizable by users (unless they already know how to break Windows rules to begin with). IOW: Whether you will succeed you may only figure out by trial and error, and if it doesn't work I don't now about the reasons, Brian may be right.

			Michael

--
PGP Key ID (RSA 2048): 0xC45D831B
IERenderer's Home: https://www.pmpgp.de/renderer/History.htm
S/MIME Fingerprint: 94C6B471 0C623088 A5B27701 742B8666 3B7E657C
edited May 3 at 6:56 am

Thanks again Michael. I will report back here whether IER automatically updates after the next update.


Thanks again Michael. I will report back here whether IER automatically updates after the next update.

ANOTHER SUCCESS STORY


When I opened Pegasus this morning (6 May 2022), I noticed a red explanation mark over the IER logo and on clicking on it, it told me there was an update available (2.6.5.12 of 5 May 2022). The program has not, therefore, updated automatically. I went onto the IER website and downloaded the update and when I went to install it, it now gives me the option to install it in a path to Documents, where I have my Pegasus program installed (so it can automatically upload to One Drive). I did that and I now have Pegasus version 4.8 working with IER version 2.6.5.12 in Documents, so all is well.


Thanks again to everyone who helped me on this issue.


ANOTHER SUCCESS STORY When I opened Pegasus this morning (6 May 2022), I noticed a red explanation mark over the IER logo and on clicking on it, it told me there was an update available (2.6.5.12 of 5 May 2022). The program has not, therefore, updated automatically. I went onto the IER website and downloaded the update and when I went to install it, it now gives me the option to install it in a path to Documents, where I have my Pegasus program installed (so it can automatically upload to One Drive). I did that and I now have Pegasus version 4.8 working with IER version 2.6.5.12 in Documents, so all is well. Thanks again to everyone who helped me on this issue.

The program has not, therefore, updated automatically.

It's not supposed to given the fact that there are people around which even consider the notification as beeing offensive.


... it now gives me the option to install it in a path to Documents, where I have my Pegasus program installed (so it can automatically upload to One Drive).

This is the way it should work and I'm glad to here it actually does. Thanks for reporting back!


[quote="pid:53812, uid:11088"]The program has not, therefore, updated automatically.[/quote] It's not supposed to given the fact that there are people around which even consider the notification as beeing offensive. [quote="pid:53812, uid:11088"]... it now gives me the option to install it in a path to Documents, where I have my Pegasus program installed (so it can automatically upload to One Drive).[/quote] This is the way it should work and I'm glad to here it actually does. Thanks for reporting back!

			Michael

--
PGP Key ID (RSA 2048): 0xC45D831B
IERenderer's Home: https://www.pmpgp.de/renderer/History.htm
S/MIME Fingerprint: 94C6B471 0C623088 A5B27701 742B8666 3B7E657C
live preview
enter atleast 10 characters
WARNING: You mentioned %MENTIONS%, but they cannot see this message and will not be notified
Saving...
Saved
With selected deselect posts show selected posts
All posts under this topic will be deleted ?
Pending draft ... Click to resume editing
Discard draft